/************************************************************/
/*    NAME: Thomas                                              */
/*    ORGN: MIT                                             */
/*    FILE: SimModem.h                                          */
/*    DATE: December 29th, 1963                             */
/************************************************************/

#ifndef SimModem_HEADER
#define SimModem_HEADER

#include "MOOS/libMOOS/Thirdparty/AppCasting/AppCastingMOOSApp.h"

class SimModem : public AppCastingMOOSApp
{
 public:
   SimModem();
   ~SimModem() {};

 protected: // Standard MOOSApp functions to overload  
   bool OnNewMail(MOOSMSG_LIST &NewMail);
   bool Iterate();
   bool OnConnectToServer();
   bool OnStartUp();

 protected: // Standard AppCastingMOOSApp function to overload 
   bool buildReport();

 protected:
   void registerVariables();

 private: // Configuration variables
 	double nav_x;
 	double nav_y;
 	double nav_z;

 	double balise_x;
 	double balise_y;
 	double balise_z;

 	double range;

 private: // State variables
};

#endif 
